Index: tmp/org.txm.index.core/plugin.xml
===================================================================
--- tmp/org.txm.index.core/plugin.xml	(revision 1957)
+++ tmp/org.txm.index.core/plugin.xml	(revision 1958)
@@ -7,12 +7,13 @@
             class="org.txm.index.core.preferences.IndexPreferences">
       </initializer>
    </extension>
-   <extension
-         point="org.txm.statengine.r.core.RTransformer">
-      <transformer
+   
+      <extension
+         point="org.txm.statsengine.r.core.RTransformer">
+      <transfert
             class="org.txm.index.core.r.IndexRTransformer"
             type="org.txm.index.core.functions.Index">
-      </transformer>
+      </transfert>
    </extension>
 
 </plugin>
Index: tmp/org.txm.index.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 1957)
+++ tmp/org.txm.index.core/META-INF/MANIFEST.MF	(revision 1958)
@@ -1,8 +1,12 @@
 Manifest-Version: 1.0
 Require-Bundle: org.txm.searchengine.cqp.core;bundle-version="1.1.0";visibility:=reexport,
  org.txm.statsengine.r.core;bundle-version="1.0.0";visibility:=reexport
-Export-Package: org.txm.index.core.functions,org.txm.index.core.messag
- es,org.txm.index.core.preferences,org.txm.macro.r,org.txm.test
+Export-Package: org.txm.index.core.functions,
+ org.txm.index.core.messages,
+ org.txm.index.core.preferences,
+ org.txm.index.core.r,
+ org.txm.macro.r,
+ org.txm.test
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
Index: tmp/org.txm.index.core/src/org/txm/index/core/r/IndexRTransformer.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/r/IndexRTransformer.java	(revision 1957)
+++ tmp/org.txm.index.core/src/org/txm/index/core/r/IndexRTransformer.java	(revision 1958)
@@ -37,7 +37,7 @@
 	 */
 	@Override
 	public String fromTXMtoR(TXMResult o) throws RWorkspaceException {
-		if ((o instanceof Index)) return null;
+		if (!(o instanceof Index)) return null;
 		
 		Index index = (Index)o;
 		
@@ -53,11 +53,10 @@
 
 		int[] freq = new int[lines.size()];
 
-		for (int i = 0 ; i < lines.size() ; i++) 
-		{
-			Line ligne = lines.get(i);
-			freq[i] = ligne.getFrequency(); 
-			keywords[i] = ligne.toString();
+		for (int i = 0 ; i < lines.size() ; i++) {
+			Line line = lines.get(i);
+			freq[i] = line.getFrequency(); 
+			keywords[i] = line.toString();
 		}
 
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 1957)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 1958)
@@ -40,6 +40,7 @@
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.SummaryView;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
+import org.txm.utils.logger.Log;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -65,7 +66,11 @@
 				try {
 					monitor.beginTask(TXMUIMessages.restartTXM, 100);
 					//Toolbox.updateProperties(TxmPreferences.getProperties());
-					Toolbox.restart();
+					if (Toolbox.restart()) {
+						Log.info(TXMUIMessages.info_txmIsReady);
+					} else {
+						Log.warning("TXM not restarted normally.");
+					}
 
 					monitor.worked(95);
 					syncExec(new Runnable() {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1957)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1958)
@@ -135,12 +135,14 @@
 					+ System.getProperty("file.separator"));
 
 			String[] fontFiles = javaFontsPath.list();
-			for (int i = 0; i < fontFiles.length; i++) {
-				if(fontFiles[i].endsWith(".ttf"))    { //$NON-NLS-1$
-					File fontFile = new File(javaFontsPath, fontFiles[i]);
-					Log.finest("Loading Java font to SWT Device from file " + fontFile + "...");
-					// Load the font in SWT
-					Display.getDefault().loadFont(fontFile.getAbsolutePath());
+			if (fontFiles != null) {
+				for (int i = 0; i < fontFiles.length; i++) {
+					if(fontFiles[i].endsWith(".ttf"))    { //$NON-NLS-1$
+						File fontFile = new File(javaFontsPath, fontFiles[i]);
+						Log.finest("Loading Java font to SWT Device from file " + fontFile + "...");
+						// Load the font in SWT
+						Display.getDefault().loadFont(fontFile.getAbsolutePath());
+					}
 				}
 			}
 		}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 1957)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/handlers/SendToRCommand.java	(revision 1958)
@@ -27,6 +27,7 @@
 //
 package org.txm.statsengine.r.rcp.handlers;
 
+import java.util.HashMap;
 import java.util.List;
 
 import org.eclipse.core.commands.ExecutionEvent;
@@ -44,6 +45,7 @@
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.statsengine.core.StatsEnginesManager;
 import org.txm.statsengine.r.core.RStatsEngine;
+import org.txm.statsengine.r.core.RTransformer;
 import org.txm.statsengine.r.rcp.messages.RUIMessages;
 import org.txm.statsengine.r.rcp.views.RVariablesView;
 import org.txm.utils.logger.Log;
@@ -55,7 +57,7 @@
  * 
  * @author mdecorde.
  */
-public abstract class SendToRCommand extends BaseAbstractHandler {
+public class SendToRCommand extends BaseAbstractHandler {
 
 	/* (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
@@ -86,7 +88,7 @@
 								this.acquireSemaphore();
 								String symbol = send((TXMResult)o);
 								if (symbol == null) {
-									Log.info("** {0} was not transfered to the R workspace.");
+									Log.info(NLS.bind("** {0} was not transfered to the R workspace.", ((TXMResult) o).getSimpleName()));
 									this.releaseSemaphore();
 									return Status.CANCEL_STATUS;
 								} else {
@@ -135,8 +137,10 @@
 	public String send(TXMResult o) throws Exception {
 	
 		RStatsEngine rengine = (RStatsEngine)StatsEnginesManager.getREngine();
-		if (rengine.getTransformers().containsKey(o.getClass().getName())) {
-			return rengine.getTransformers().get(o.getClass().getName()).fromTXMtoR(o);
+		HashMap<String, RTransformer<? extends TXMResult>> transformers = rengine.getTransformers();
+		if (transformers.containsKey(o.getClass().getName())) {
+			RTransformer<? extends TXMResult> transformer = rengine.getTransformers().get(o.getClass().getName());
+			return transformer.fromTXMtoR(o);
 		} else {
 			Log.info(NLS.bind("{0} cannot be copied in thr R workspace", o.getSimpleName()));
 			return null;
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 1957)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 1958)
@@ -3,6 +3,7 @@
 import java.util.HashMap;
 
 import org.eclipse.core.runtime.IConfigurationElement;
+import org.eclipse.core.runtime.IExtensionPoint;
 import org.eclipse.core.runtime.IProgressMonitor;
 import org.eclipse.core.runtime.RegistryFactory;
 import org.txm.core.messages.TXMCoreMessages;
@@ -102,17 +103,18 @@
 	private void loadRTransformers() {
 		
 		transformers.clear();
+
 		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor(RTransformer.class.getName());
 
-		Log.finest(TXMCoreMessages.bind("Looking for R transformers contributions with extension point id {1}...", RTransformer.class.getName())); //$NON-NLS-1$
-		Log.finest(TXMCoreMessages.bind("{0} transformers(s) found.", contributions.length)); //$NON-NLS-1$
+		Log.fine(TXMCoreMessages.bind("Looking for R transformers contributions with extension point id ''{0}''...", RTransformer.class.getName())); //$NON-NLS-1$
+		Log.fine(TXMCoreMessages.bind("{0} transformers(s) found.", contributions.length)); //$NON-NLS-1$
 
 		for (int i = 0; i < contributions.length; i++) {
 			try {
 				@SuppressWarnings("unchecked")
 				RTransformer<? extends TXMResult> transformer = (RTransformer<? extends TXMResult>) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 
-				Log.fine(TXMCoreMessages.bind("Registering R transformer: {0}...", transformer));
+				Log.finer(TXMCoreMessages.bind("Registering R transformer: {0}...", transformer));
 
 				transformers.put(contributions[i].getAttribute("type"), transformer);
 			} catch (Exception e) {
Index: tmp/org.txm.statsengine.r.core/build.properties
===================================================================
--- tmp/org.txm.statsengine.r.core/build.properties	(revision 1957)
+++ tmp/org.txm.statsengine.r.core/build.properties	(revision 1958)
@@ -4,6 +4,7 @@
                plugin.xml,\
                .,\
                R/,\
-               OSGI-INF/
+               OSGI-INF/,\
+               schema/
 source..=src/
 qualifier=svn
Index: tmp/org.txm.statsengine.r.core/plugin.xml
===================================================================
--- tmp/org.txm.statsengine.r.core/plugin.xml	(revision 1957)
+++ tmp/org.txm.statsengine.r.core/plugin.xml	(revision 1958)
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <?eclipse version="3.4"?>
 <plugin>
-   <extension-point id="org.txm.statengine.r.core.RTransformer" name="org.txm.statengine.r.core.RTransformer" schema="schema/org.txm.statengine.r.core.RTransformer.exsd"/>
+   <extension-point id="org.txm.statsengine.r.core.RTransformer" name="org.txm.statsengine.r.core.RTransformer" schema="schema/org.txm.statsengine.r.core.RTransformer.exsd"/>
    <extension
          point="org.eclipse.core.runtime.preferences">
       <initializer
Index: tmp/org.txm.statsengine.r.core/schema/org.txm.statengine.r.core.RTransformer.exsd
===================================================================
--- tmp/org.txm.statsengine.r.core/schema/org.txm.statengine.r.core.RTransformer.exsd	(revision 1957)
+++ tmp/org.txm.statsengine.r.core/schema/org.txm.statengine.r.core.RTransformer.exsd	(revision 1958)
@@ -1,112 +0,0 @@
-<?xml version='1.0' encoding='UTF-8'?>
-<!-- Schema file written by PDE -->
-<schema targetNamespace="org.txm.statsengine.r.core" xmlns="http://www.w3.org/2001/XMLSchema">
-<annotation>
-      <appinfo>
-         <meta.schema plugin="org.txm.statsengine.r.core" id="org.txm.statengine.r.core.RTransformer" name="org.txm.statengine.r.core.RTransformer"/>
-      </appinfo>
-      <documentation>
-         A transformer allow to import data in the RWorkspace or to export a R data to a TXM object
-      </documentation>
-   </annotation>
-
-   <element name="extension">
-      <annotation>
-         <appinfo>
-            <meta.element />
-         </appinfo>
-      </annotation>
-      <complexType>
-         <choice minOccurs="1" maxOccurs="unbounded">
-            <element ref="transformer"/>
-         </choice>
-         <attribute name="point" type="string" use="required">
-            <annotation>
-               <documentation>
-                  
-               </documentation>
-            </annotation>
-         </attribute>
-         <attribute name="id" type="string">
-            <annotation>
-               <documentation>
-                  
-               </documentation>
-            </annotation>
-         </attribute>
-         <attribute name="name" type="string">
-            <annotation>
-               <documentation>
-                  
-               </documentation>
-               <appinfo>
-                  <meta.attribute translatable="true"/>
-               </appinfo>
-            </annotation>
-         </attribute>
-      </complexType>
-   </element>
-
-   <element name="transformer">
-      <complexType>
-         <attribute name="class" type="string" use="required">
-            <annotation>
-               <documentation>
-                  
-               </documentation>
-               <appinfo>
-                  <meta.attribute kind="java" basedOn="org.txm.statsengine.r.core.RTransformer"/>
-               </appinfo>
-            </annotation>
-         </attribute>
-         <attribute name="type" type="string" use="required">
-            <annotation>
-               <documentation>
-                  The TXMResult managed by the transformer
-               </documentation>
-               <appinfo>
-                  <meta.attribute kind="java" basedOn="org.txm.core.results.TXMResult:"/>
-               </appinfo>
-            </annotation>
-         </attribute>
-      </complexType>
-   </element>
-
-   <annotation>
-      <appinfo>
-         <meta.section type="since"/>
-      </appinfo>
-      <documentation>
-         [Enter the first release in which this extension point appears.]
-      </documentation>
-   </annotation>
-
-   <annotation>
-      <appinfo>
-         <meta.section type="examples"/>
-      </appinfo>
-      <documentation>
-         [Enter extension point usage example here.]
-      </documentation>
-   </annotation>
-
-   <annotation>
-      <appinfo>
-         <meta.section type="apiinfo"/>
-      </appinfo>
-      <documentation>
-         [Enter API information here.]
-      </documentation>
-   </annotation>
-
-   <annotation>
-      <appinfo>
-         <meta.section type="implementation"/>
-      </appinfo>
-      <documentation>
-         [Enter information about supplied implementation of this extension point.]
-      </documentation>
-   </annotation>
-
-
-</schema>
Index: tmp/org.txm.statsengine.r.core/schema/org.txm.statsengine.r.core.RTransformer.exsd
===================================================================
--- tmp/org.txm.statsengine.r.core/schema/org.txm.statsengine.r.core.RTransformer.exsd	(revision 0)
+++ tmp/org.txm.statsengine.r.core/schema/org.txm.statsengine.r.core.RTransformer.exsd	(revision 1958)
@@ -0,0 +1,112 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!-- Schema file written by PDE -->
+<schema targetNamespace="org.txm.statsengine.r.core" xmlns="http://www.w3.org/2001/XMLSchema">
+<annotation>
+      <appinfo>
+         <meta.schema plugin="org.txm.statsengine.r.core" id="org.txm.statsengine.r.core.RTransformer" name="org.txm.statsengine.r.core.RTransformer"/>
+      </appinfo>
+      <documentation>
+         A transformer allow to import data in the RWorkspace or to export a R data to a TXM object
+      </documentation>
+   </annotation>
+
+   <element name="extension">
+      <annotation>
+         <appinfo>
+            <meta.element />
+         </appinfo>
+      </annotation>
+      <complexType>
+         <choice minOccurs="1" maxOccurs="unbounded">
+            <element ref="transformer"/>
+         </choice>
+         <attribute name="point" type="string" use="required">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="id" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+            </annotation>
+         </attribute>
+         <attribute name="name" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute translatable="true"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <element name="transformer">
+      <complexType>
+         <attribute name="class" type="string">
+            <annotation>
+               <documentation>
+                  
+               </documentation>
+               <appinfo>
+                  <meta.attribute kind="java" basedOn="org.txm.statsengine.r.core.RTransformer:"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+         <attribute name="type" type="string">
+            <annotation>
+               <documentation>
+                  The TXMResult managed by the transformer
+               </documentation>
+               <appinfo>
+                  <meta.attribute kind="java" basedOn="org.txm.core.results.TXMResult:"/>
+               </appinfo>
+            </annotation>
+         </attribute>
+      </complexType>
+   </element>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="since"/>
+      </appinfo>
+      <documentation>
+         [Enter the first release in which this extension point appears.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="examples"/>
+      </appinfo>
+      <documentation>
+         [Enter extension point usage example here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="apiinfo"/>
+      </appinfo>
+      <documentation>
+         [Enter API information here.]
+      </documentation>
+   </annotation>
+
+   <annotation>
+      <appinfo>
+         <meta.section type="implementation"/>
+      </appinfo>
+      <documentation>
+         [Enter information about supplied implementation of this extension point.]
+      </documentation>
+   </annotation>
+
+
+</schema>

Property changes on: tmp/org.txm.statsengine.r.core/schema/org.txm.statsengine.r.core.RTransformer.exsd
___________________________________________________________________
Added: svn:mime-type
   + text/plain

